## e-iconv e-iconv — |

## Synopsis

    const char* e_iconv_charset_name            (const char *charset);
    iconv_t     e_iconv_open                    (const char *oto,
                                                 const char *ofrom);
    size_t      e_iconv                         (iconv_t cd,
                                                 const char **inbuf,
                                                 size_t *inbytesleft,
                                                 char **outbuf,
                                                 size_t *outbytesleft);
    void        e_iconv_close                   (iconv_t ip);
    const char* e_iconv_locale_charset          (void);
    const char* e_iconv_locale_language         (void);
    const char* e_iconv_charset_language        (const char *charset);

## Description

## Details

### e_iconv_charset_name ()

    const char* e_iconv_charset_name            (const char *charset);

`charset` : |
Returns : |

### e_iconv_open ()

    iconv_t     e_iconv_open                    (const char *oto,
                                                 const char *ofrom);

`oto` : |
`ofrom` : |
Returns : |

### e_iconv ()

    size_t      e_iconv                         (iconv_t cd,
                                                 const char **inbuf,
                                                 size_t *inbytesleft,
                                                 char **outbuf,
                                                 size_t *outbytesleft);

`cd` : |
`inbuf` : |
`inbytesleft` : |
`outbuf` : |
`outbytesleft` : |
Returns : |

### e_iconv_close ()

    void        e_iconv_close                   (iconv_t ip);

`ip` : |

### e_iconv_locale_charset ()

    const char* e_iconv_locale_charset          (void);

Returns : |

### e_iconv_locale_language ()

    const char* e_iconv_locale_language         (void);

Returns : |

### e_iconv_charset_language ()

    const char* e_iconv_charset_language        (const char *charset);

`charset` : |
Returns : |